import 'package:fluent_ui/fluent_ui.dart';
import 'package:info_tren/components/loading/loading.dart';

class LoadingFluent extends LoadingCommon {
  const LoadingFluent({required super.text, super.key});

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.center,
        mainAxisSize: MainAxisSize.min,
        children: [
          const Padding(
            padding: EdgeInsets.all(8.0),
            child: ProgressRing(),
          ),
          Padding(
            padding: const EdgeInsets.all(8.0),
            child: Text(text),
          ),
        ],
      ),
    );
  }
}
