import 'dart:io';

import 'package:info_tren/models.dart';

UiDesign get defaultUiDesign {
  if (Platform.isIOS) {
    return UiDesign.CUPERTINO;
  }
  else if (Platform.isLinux || Platform.isWindows) {
    return UiDesign.FLUENT;
  }
  else {
    return UiDesign.MATERIAL;
  }
}