import 'package:freezed_annotation/freezed_annotation.dart';

part 'station_status.g.dart';
part 'station_status.freezed.dart';

@freezed
class StationStatus with _$StationStatus {
  const factory StationStatus({
    required int delay, 
    required bool real, 
    required bool cancelled, 
    required String? platform,
  }) = _StationStatus;

  factory StationStatus.fromJson(Map<String, dynamic> json) => _$StationStatusFromJson(json);
}

